public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrsistent/
Date: Wed, 27 Jan 2016 09:26:22 +0000 (UTC)	[thread overview]
Message-ID: <1453886772.501f5bd94a9e4076c15ff080fb8fe8f57e887bb4.jlec@gentoo> (raw)

commit:     501f5bd94a9e4076c15ff080fb8fe8f57e887bb4
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 08:50:56 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 09:26:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=501f5bd9

dev-python/pyrsistent: New package, ebuild written by me

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pyrsistent/Manifest                  |  1 +
 dev-python/pyrsistent/metadata.xml              | 15 +++++++++++
 dev-python/pyrsistent/pyrsistent-0.11.10.ebuild | 35 +++++++++++++++++++++++++
 3 files changed, 51 insertions(+)

diff --git a/dev-python/pyrsistent/Manifest b/dev-python/pyrsistent/Manifest
new file mode 100644
index 0000000..68ed083
--- /dev/null
+++ b/dev-python/pyrsistent/Manifest
@@ -0,0 +1 @@
+DIST pyrsistent-0.11.10.tar.gz 62646 SHA256 db0469748e74f72b6142aa60bf9a5a15b4a080f47d9ed2fb7c6c083756264149 SHA512 cc0caf78b596e2cd9a5960be354a7ecae50a6f324295e1d882100e85208145735d5154a8b17eb297b99d48a6b1edb36cf8bdae781efef046f097f53af00f732b WHIRLPOOL d0ac9088c0afaec1672eb8b4e29c8b3f85f7bb064f360d54a21f0d70daa4ea9d37ab8f947bbba41a0695fc8a5e2f6e73c263748791952c3b32eb7134d2c8d74b

diff --git a/dev-python/pyrsistent/metadata.xml b/dev-python/pyrsistent/metadata.xml
new file mode 100644
index 0000000..0439917
--- /dev/null
+++ b/dev-python/pyrsistent/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>python@gentoo.org</email>
+    <name>Python</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">pyrsistent</remote-id>
+    <maintainer status="unknown">
+      <email>tobias.l.gustafsson@gmail.com</email>
+      <name>Tobias Gustafsson</name>
+    </maintainer>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pyrsistent/pyrsistent-0.11.10.ebuild b/dev-python/pyrsistent/pyrsistent-0.11.10.ebuild
new file mode 100644
index 0000000..abd4446
--- /dev/null
+++ b/dev-python/pyrsistent/pyrsistent-0.11.10.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent/Functional/Immutable data structures"
+HOMEPAGE="http://github.com/tobgu/pyrsistent/ http://pypi.python.org/pypi/pyrsistent"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)"
+
+# https://github.com/tobgu/pyrsistent/issues/78
+RESTRICT="test"
+
+python_test() {
+	py.test -v -v || die
+}


             reply	other threads:[~2016-01-27  9:26 UTC|newest]

Thread overview: 120+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-27  9:26 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-27  9:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrsistent/ Justin Lecher
2016-02-01 15:44 Justin Lecher
2016-02-03  9:05 Justin Lecher
2016-02-07 12:00 Justin Lecher
2016-02-07 12:00 Justin Lecher
2016-06-29  8:54 Patrick Lauer
2017-01-23  3:38 Lars Wendler
2017-01-23  3:38 Lars Wendler
2017-05-03  9:26 Michał Górny
2017-05-15  9:47 Lars Wendler
2017-09-30 15:29 Patrick Lauer
2017-12-19 15:46 Thomas Deutschmann
2017-12-24  9:59 Sergei Trofimovich
2017-12-24 13:38 Sergei Trofimovich
2017-12-25 15:52 Sergei Trofimovich
2017-12-28 20:34 Sergei Trofimovich
2018-01-02  0:15 Mikle Kolyada
2018-01-06  0:44 Michał Górny
2018-01-23 19:07 Markus Meier
2018-01-29  8:22 Tobias Klausmann
2018-02-18  0:03 Patrice Clement
2018-05-18 10:00 Aaron Swenson
2018-06-30 18:45 Mart Raudsepp
2018-07-01  8:51 Sergei Trofimovich
2018-07-01 15:19 Pacho Ramos
2018-07-02  0:49 Thomas Deutschmann
2018-07-04 18:44 Sergei Trofimovich
2018-07-07  9:02 Sergei Trofimovich
2018-07-14 12:48 Michał Górny
2018-07-14 20:10 Sergei Trofimovich
2018-07-14 20:16 Sergei Trofimovich
2018-07-20 15:53 Tobias Klausmann
2018-07-31  0:28 Mikle Kolyada
2018-08-18  5:23 Mikle Kolyada
2019-11-23 22:59 Patrick McLean
2019-12-04  6:48 Aaron Bauman
2019-12-12 16:46 Michał Górny
2020-03-25 13:59 Michał Górny
2020-04-08 18:42 Sebastian Pipping
2020-05-31 13:19 Michał Górny
2020-05-31 15:42 Michał Górny
2020-07-09  8:59 Agostino Sarubbo
2020-07-09 13:59 Michał Górny
2020-07-17  2:48 Sam James
2020-09-09  7:18 Michał Górny
2020-09-09 22:16 Michał Górny
2020-09-14  3:13 Michał Górny
2020-09-18 15:43 Michał Górny
2020-10-18 19:10 Thomas Deutschmann
2020-10-18 23:55 Sam James
2020-10-19  0:22 Sam James
2020-10-20  6:51 Sergei Trofimovich
2020-10-20  6:57 Sergei Trofimovich
2020-10-20  7:02 Sergei Trofimovich
2020-10-20  7:04 Sergei Trofimovich
2020-11-02  9:47 Sam James
2020-11-02 10:34 Michał Górny
2021-05-19  7:33 Michał Górny
2021-06-29  6:05 Michał Górny
2021-07-01 14:06 Marek Szuba
2021-08-07 14:43 Sam James
2021-08-07 14:49 Sam James
2021-08-07 14:49 Sam James
2021-08-07 14:49 Sam James
2021-08-07 23:37 Sam James
2021-08-09  0:35 Sam James
2021-09-04 21:57 Michał Górny
2022-01-15  7:23 Arthur Zamarin
2022-02-17 19:41 Arthur Zamarin
2022-02-17 20:00 Arthur Zamarin
2022-02-17 21:10 Arthur Zamarin
2022-02-17 21:18 Arthur Zamarin
2022-02-18  3:37 Sam James
2022-02-18  7:40 Agostino Sarubbo
2022-02-19  0:37 Sam James
2022-02-19  7:19 Arthur Zamarin
2022-02-19  7:54 Michał Górny
2022-05-11 14:32 Michał Górny
2022-05-11 14:32 Michał Górny
2022-06-13  7:09 Agostino Sarubbo
2022-06-13  7:10 Agostino Sarubbo
2022-06-13  7:11 Agostino Sarubbo
2022-06-13  7:13 Agostino Sarubbo
2022-06-13 10:21 Agostino Sarubbo
2022-06-13 16:29 Sam James
2022-06-16 23:29 Jakov Smolić
2022-06-17  4:54 Michał Górny
2022-10-31 15:49 Michał Górny
2022-11-03  5:32 Michał Górny
2022-12-10  8:50 Arthur Zamarin
2022-12-10  9:11 Arthur Zamarin
2022-12-10  9:19 Arthur Zamarin
2022-12-11 18:33 Arthur Zamarin
2022-12-11 20:50 Michał Górny
2022-12-30  7:08 Michał Górny
2023-02-16 17:22 Arthur Zamarin
2023-02-16 17:22 Arthur Zamarin
2023-02-16 17:22 Arthur Zamarin
2023-02-16 20:58 Arthur Zamarin
2023-02-16 23:03 Sam James
2023-02-26 21:24 Sam James
2023-02-27  5:38 Michał Górny
2023-02-27  5:38 Michał Górny
2023-05-04 16:30 Michał Górny
2023-05-27 13:21 Michał Górny
2023-05-29  7:02 Michał Górny
2023-07-08 10:47 Benda XU
2023-10-26 13:37 Michał Górny
2023-11-29 10:12 Michał Górny
2023-11-29 10:21 Michał Górny
2023-11-29 11:15 Michał Górny
2023-11-29 11:32 Michał Górny
2023-11-29 11:45 Arthur Zamarin
2023-11-29 14:00 Arthur Zamarin
2023-11-29 14:42 Arthur Zamarin
2023-11-29 17:04 Arthur Zamarin
2023-11-29 17:11 Michał Górny
2024-06-29 13:35 Petr Vaněk
2025-02-27 21:07 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1453886772.501f5bd94a9e4076c15ff080fb8fe8f57e887bb4.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox